> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.getlynks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Categories List

> Retrieve a list of all categories on the provided sales channel.



## OpenAPI

````yaml get /data/categories
openapi: 3.1.0
info:
  title: Lynks AI External API
  description: External API documentation for Lynks AI.
  version: 1.0.0
servers:
  - url: https://ai.getlynks.io/api
security: []
paths:
  /data/categories:
    get:
      summary: Retrieve Categories List
      description: Retrieve a list of all categories on the provided sales channel.
      operationId: retrieve_categories_list_data_categories_get
      parameters:
        - name: sales_channel
          in: query
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/SalesChannelEnum'
            description: >-
              The name of the sales channel whose categories you want to
              retrieve. This is a required field.
            title: Sales Channel
          description: >-
            The name of the sales channel whose categories you want to retrieve.
            This is a required field.
      responses:
        '200':
          description: List of Categories for selected sales channel.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
          OpenAIKey: []
        - APIKey: []
components:
  schemas:
    SalesChannelEnum:
      type: string
      enum:
        - galaxus
        - manor
      title: SalesChannelEnum
    CategoryResponse:
      properties:
        category_count:
          type: integer
          title: Category Count
        categories:
          items:
            $ref: '#/components/schemas/Category'
          type: array
          title: Categories
      type: object
      required:
        - category_count
        - categories
      title: CategoryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Category:
      properties:
        identifier:
          type: string
          title: Identifier
        languages:
          $ref: '#/components/schemas/Languages'
      type: object
      required:
        - identifier
        - languages
      title: Category
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Languages:
      properties:
        en:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        de:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        fr:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        it:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
      type: object
      title: Languages
    LanguageDetails:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: LanguageDetails
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-Api-Key
    OpenAIKey:
      type: apiKey
      in: header
      name: X-OpenAI-Key

````